@charset "utf-8";

/*==================================================================
custom CSS file for index.html
==================================================================*/
* { 
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
}

/* if you remove html, then scroll bar in control-area will also disappear. */
html, body {
    width: 100%; /* don't usw vw, vh. */
    height: 100%;
    overflow: hidden;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 28px;
    font-style: bold;
}

.container {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 2px;
    border: 1px solid rgb(133, 123, 123);
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 1fr 2fr;
    grid-gap: 2px;
}

.control-area {
    width: auto;
    height: auto;
    padding-left: 20px;
    padding-right: 40px;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #edf3f8;
    border: 1px solid rgb(133, 123, 123);
    overflow-x: hidden;
    overflow-y: scroll;
}

h2 {
    margin-left: 40px;
    margin-bottom: 10px;
    user-select: none;
}

fieldset {
    width: 100%;
    height: auto;
    margin-left: 20px;
    margin-right: 50px;
    margin-top: 0px;
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #4682b4;
    border-radius: 5px;
    background-color: #edf3f8;
}

fieldset > div {
    width: 100%;
    height: 100px;
    border: 1px solid #dae7f1;
    padding: 5px;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: auto;
}

.half-label {
    width: 100%;
    height: 100%;
    grid-column-start: 1;
    grid-column-end: 7;
    display: flex; /* for text align */
    align-items: center; /* vertical align */
    justify-content: center; /* horizontal align */
    user-select: none;
}

.number-field {
    width: 100%;
    height: 100%;
    grid-column-start: 7;
    grid-column-end: 13;
    border: none;
    border-radius: 5px;
    background: gray;
    color: cornsilk;
    display: flex; /* for text align */
    align-items: center; /* vertical align */
    justify-content: end; /* horizontal align */
    user-select: none;
}

p.notice {
    height: 100%;
    grid-column-start: 1;
    grid-column-end: 13;
    display: flex; /* for text align */
    align-items: center; /* vertical align */
    justify-content: start; /* horizontal align */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    user-select: none;
}

.map-area {
    width: 100%;
    height: 100%;
    margin: 0;
    border: 1px solid rgb(133, 123, 123);
    position: relative;
    grid-column-start: 1;
    grid-column-end: 3;
}

.map {
    width: 100%;
    height: 100%;
}

.marker {
    width: 100%;
    height: 100%;
}

.imgCenter{
    position: absolute;
    left: 50%;
    top: 50%;
    width: 50px;
    height: 50px;
    transform: translate(-25px, -25px);
    opacity: 0.7;
    user-select: none;
}
